Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Node Class Reference

Base class for classes managing slots. More...

`#include <inti/connection.h>`

Inheritance diagram for Inti::Node:

List of all members.

## Public Member Functions

- Slot * slot ()
    Returns a pointer to the slot held by this node.
- virtual void block ()=0
    Block signal emission to the slot until unblock is called.
- virtual void unblock ()=0
    Unblock the slot so signal emmissions can be received.
- virtual void disconnect ()=0
    Disconnect the slot. The slot will no longer recieve signal emissions.

## Protected Member Functions

- Node (Slot *slot)
    Constructor.
- virtual ~Node ()
    Destructor.

## Detailed Description

Base class for classes managing slots.

A node connects a slot to its Connection class,disconnec the class returned from a signal's connect() method.

The documentation for this class was generated from the following file:

- connection.h

Main Page - Footer